> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tax estimates

> Get a summary of a user's tax obligations; also useful for displaying a real-time P&L



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=4&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v4/taxes/vitals
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Expenses
  - name: Revenue
  - name: Business & Client Management
  - name: Invoicing
  - name: Reports
  - name: Taxes
  - name: Accounting
  - name: Investment Incomes
paths:
  /v4/taxes/vitals:
    get:
      tags:
        - Taxes
      summary: Get tax estimates
      description: >-
        Get a summary of a user's tax obligations; also useful for displaying a
        real-time P&L
      operationId: getVitals
      parameters:
        - name: period
          in: query
          description: The period to receive summarized data for
          schema:
            type: string
            example: YTD
            default: ''
            enum:
              - ANNUAL_PROJECTED
              - YTD
              - LAST_YEAR
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/USTaxDTOV2'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    USTaxDTOV2:
      type: object
      properties:
        country:
          type: string
        state:
          type: string
        year:
          type: integer
          format: int32
        federalFilingStatus:
          type: string
        stateFilingStatus:
          type: string
        w2Income:
          type: number
        businessIncome:
          type: number
        expenses:
          type: number
        deductibleMileageExpenses:
          type: number
        deductibleNonMileageExpenses:
          type: number
        homeOfficeDeduction:
          type: number
        taxableNetIncome:
          type: number
        overallTax:
          type: number
        overallTaxSavings:
          type: number
        overallTaxUnpaid:
          type: number
        federalTaxUnpaid:
          type: number
        stateTaxUnpaid:
          type: number
        annualPaymentDueDate:
          type: string
          format: date-time
        afterTaxIncome:
          type: number
        investmentIncome:
          type: number
        federalTax:
          $ref: '#/components/schemas/FederalTaxDTOV2'
        stateTax:
          $ref: '#/components/schemas/StateTaxDTOV2'
        selfEmploymentTax:
          $ref: '#/components/schemas/SelfEmploymentTaxDTOV2'
        quarterlyTaxes:
          $ref: '#/components/schemas/QuarterlyTaxesDTOV3'
    FederalTaxDTOV2:
      type: object
      properties:
        w2MarginalTaxRate:
          type: number
        marginalTaxRate:
          type: number
        agi:
          type: number
        businessIncomeDeduction:
          type: number
        businessIncomeDeductionEffectiveRate:
          type: number
        federalDeduction:
          type: number
        taxableIncome:
          type: number
        taxBeforeWithholding:
          type: number
        effectiveTaxRateBeforeWithholding:
          type: number
        withholdingAppliedToTax:
          type: number
        taxAmount:
          type: number
        effectiveTaxRate:
          type: number
        medicareSurtax:
          $ref: '#/components/schemas/MedicareSurtaxDTO2'
    StateTaxDTOV2:
      type: object
      properties:
        w2MarginalTaxRate:
          type: number
        marginalTaxRate:
          type: number
        agi:
          type: number
        stateDeduction:
          type: number
        taxableIncome:
          type: number
        preCreditEffectiveTaxRate:
          type: number
        taxAmountWithoutTaxCredit:
          type: number
        taxBeforeWithholding:
          type: number
        effectiveTaxRateBeforeWithholding:
          type: number
        withholdingAppliedToTax:
          type: number
        taxAmount:
          type: number
        effectiveTaxRate:
          type: number
        taxCreditAmount:
          type: number
    SelfEmploymentTaxDTOV2:
      type: object
      properties:
        ficaTaxableIncome:
          type: number
        ficaEffectiveTaxRate:
          type: number
        ficaTax:
          type: number
        medicareTaxableIncome:
          type: number
        medicareEffectiveTaxRate:
          type: number
        medicareTax:
          type: number
        selfEmploymentTax:
          type: number
        selfEmploymentDeduction:
          type: number
          writeOnly: true
        selfEmploymentDeductiont:
          type: number
    QuarterlyTaxesDTOV3:
      type: object
      properties:
        q1:
          $ref: '#/components/schemas/QuarterlyTax'
        q2:
          $ref: '#/components/schemas/QuarterlyTax'
        q3:
          $ref: '#/components/schemas/QuarterlyTax'
        q4:
          $ref: '#/components/schemas/QuarterlyTax'
    MedicareSurtaxDTO2:
      type: object
      properties:
        investmentIncomeMedicareSurtax:
          type: number
        earnedIncomeMedicareSurtax:
          type: number
    QuarterlyTax:
      type: object
      properties:
        dueDate:
          type: string
          description: Due date for this quarter's payment
          format: date
        federalTax:
          $ref: '#/components/schemas/TaxDetail'
        stateTax:
          $ref: '#/components/schemas/TaxDetail'
    TaxDetail:
      type: object
      properties:
        taxOwed:
          type: number
          description: Tax amount owed before considering payments
        taxPaid:
          type: number
          description: Tax amount paid
        paymentsAllocatedFromPast:
          type: number
          description: Amount of payment rolled over from past quarters
        paymentsRolledOverToFuture:
          type: boolean
          description: >-
            Whether payments from this quarter are rolled over to future
            quarters
        paymentsBalance:
          type: number
          description: Remaining tax amount owed
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````